Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.financials.get_reported(freq=models.ReportingFrequency.QUARTERLY)
assert res.financials_reported_response is not None
# Handle response
print(res.financials_reported_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.financials.getReported({
freq: "quarterly",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/financials/reported \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/financials/reported', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/financials/reported",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/financials/reported"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/financials/reported")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/financials/reported")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"cik": "320193",
"data": [
{
"acceptedDate": "2025-05-02 06:00:46",
"accessNumber": "0000320193-25-000057",
"cik": "320193",
"endDate": "2025-03-29 00:00:00",
"filedDate": "2025-05-02 00:00:00",
"form": "10-Q",
"quarter": 2,
"report": {
"bs": [
{
"concept": "us-gaap_ComprehensiveIncomeNetOfTax",
"label": "Total comprehensive income",
"unit": "usd",
"value": 61919000000
}
]
},
"startDate": "2024-09-29 00:00:00",
"symbol": "AAPL",
"year": 2025
}
],
"symbol": "AAPL"
}
}Financials
Reported Financials
Retrieve as-reported financial data directly from SEC filings without standardization or adjustments. Access raw XBRL data for detailed financial analysis and audit purposes.
Use Case: Extract exact revenue figures as reported in 10-K filings for forensic accounting analysis.
GET
/
v1
/
financials
/
reported
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.financials.get_reported(freq=models.ReportingFrequency.QUARTERLY)
assert res.financials_reported_response is not None
# Handle response
print(res.financials_reported_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.financials.getReported({
freq: "quarterly",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/financials/reported \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/financials/reported', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/financials/reported",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/financials/reported"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/financials/reported")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/financials/reported")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"cik": "320193",
"data": [
{
"acceptedDate": "2025-05-02 06:00:46",
"accessNumber": "0000320193-25-000057",
"cik": "320193",
"endDate": "2025-03-29 00:00:00",
"filedDate": "2025-05-02 00:00:00",
"form": "10-Q",
"quarter": 2,
"report": {
"bs": [
{
"concept": "us-gaap_ComprehensiveIncomeNetOfTax",
"label": "Total comprehensive income",
"unit": "usd",
"value": 61919000000
}
]
},
"startDate": "2024-09-29 00:00:00",
"symbol": "AAPL",
"year": 2025
}
],
"symbol": "AAPL"
}
}Authorizations
Query Parameters
Optional reporting frequency filter. Use it to limit results to annual or quarterly reports. How often the underlying data is reported:
annual— once per fiscal year (10-K, full-year statements).quarterly— once per fiscal quarter (10-Q, quarterly statements).
Available options:
annual, quarterly Example:
"quarterly"
Was this page helpful?